class ChatClient extends XMLSocket {
	
	private var output : TextField;
	private var IP = "141.84.8.37";
	private var PORT = "4444";
	
	public function ChatClient (output : TextField) {
		this.output = output;
		connect(IP, PORT);
	}
	
	public function onConnect(success : Boolean) {
		if (success) {
			this.output.text += ("Connected with " + IP + "\n");
		}
		else {
			this.output.text += ("Error: could not connect with " + IP + " on Port" + PORT +"\n");
		}
	}
			
	public function onData(message : String) {
		trace("data received");
		if(message.length == 0) return;
		this.output.text += message + "\n";
	}
}